#
# spec file for package perl-Config-INI
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Config-INI
Version:        0.025
Release:        2.1
%define cpan_name Config-INI
Summary:        Simple .Ini-File Format
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Config-INI/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Mixin::Linewise::Readers) >= 0.105
BuildRequires:  perl(Mixin::Linewise::Writers)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(Mixin::Linewise::Readers) >= 0.105
Requires:       perl(Mixin::Linewise::Writers)
%{perl_requires}

%description
simple .ini-file format

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README

%changelog
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.025
  see /usr/share/doc/packages/perl-Config-INI/Changes
  0.025     2014-11-16 14:29:37-05:00 America/New_York
  - run preprocess_line before can_ignore
  - bump up required Mixin::Linewise to help out Win32 users
  0.024     2014-04-05 21:31:54-04:00 America/New_York
  - MIGHT BREAK YOUR CODE (but probably won't):
    handle_unparsed_line now receives its arguments in reversed order
  - new methods exist and more methods now receive the filehandle to make
    subclassing more flexible
* Mon Mar 17 2014 coolo@suse.com
- updated to 0.023
  - specify minimum Mixin::Linewise requirement (thanks, Andreas Koenig
  and Smylers)
* Mon Feb 24 2014 coolo@suse.com
- updated to 0.022
  - remove the last few places IO::String was used (thanks, Graham Knop)
* Tue Nov 26 2013 coolo@suse.com
- updated to 0.021
  - throw an exception if line 1 appears to start with a UTF-8 BOM
  - typo fixes in docs (thanks, David Steinbrunner!)
* Wed Jul 24 2013 coolo@suse.com
- updated to 0.020
  * update bugtracker
* Mon Jan  9 2012 coolo@suse.de
- updated to 0.019
  * provide handle_unparsed_line
* Mon Jan  9 2012 coolo@suse.com
- update to bump 0.018
  * up version of IO::File required (thanks, ABH!)
* Mon Jan 17 2011 coolo@novell.com
- initial package 0.017
  * created by cpanspec 1.78.03
